Loading...
Searching...
No Matches
Dune::TypeTree::VisitTree::VisitChild< Node1, Child1, Node2, Child2, TreePath > Struct Template Reference

Template struct for determining whether or not to visit a given child. More...

`#include <dune/typetree/visitor.hh>`

## Static Public Attributes

static const bool | value = true
| Visit any child.

## Detailed Description

template<typename Node1, typename Child1, typename Node2, typename Child2 = void, typename TreePath = void>
struct Dune::TypeTree::VisitTree::VisitChild< Node1, Child1, Node2, Child2, TreePath >

Template struct for determining whether or not to visit a given child.

## Member Data Documentation

## value

template<typename Node1, typename Child1, typename Node2, typename Child2 = void, typename TreePath = void>

const bool Dune::TypeTree::VisitTree::VisitChild< Node1, Child1, Node2, Child2, TreePath >::value = true

static

Visit any child.

The documentation for this struct was generated from the following file:

- visitor.hh